<mat-sidenav-container class="example-container" (backdropClick)="close('backdrop')">
  <mat-sidenav #sidenav mode="push" [(opened)]="opened" (opened)="events.push('open!')"
               (closed)="events.push('close!')"
               (keydown.escape)="close('escape')" disableClose>

    <ul>
      <li><a href="#" routerLink="/diplome">Diplômes et expériences</a></li>
      <li><a href="#">Compétences</a></li>
      <li><a href="#">Portrait</a></li>
    </ul>
    Sidenav content
  </mat-sidenav>

  <mat-sidenav-content>
    <p><button mat-button (click)="sidenav.toggle()">sidenav.toggle()</button></p>
    <ng-content></ng-content>
  </mat-sidenav-content>
</mat-sidenav-container>
